Name:		ps3mediaserver
Version:	1.90.1
Release:	%mkrel 1

Summary:	DLNA compliant Upnp Media Server for the PS3
Source0:	pms-%{version}-generic-linux-unix.tar.xz
Source1:	%{name}.png
License:	GPL v.2
Group:		Video
URL:		http://code.google.com/p/ps3mediaserver/
BuildArch:	noarch
BuildRequires:	imagemagick
Obsoletes:	%{name} < %{version}
Requires:	java
Requires:	mencoder >= 4.4.1-0.34800.1
Requires:	mplayer >= 4.4.1-0.34800.1
Requires:	ffmpeg mediainfo

%description
PS3 Media Server is a DLNA compliant Upnp Media Server for the PS3, written in Java, 
with the purpose of streaming or transcoding any kind of media files, with minimum 
configuration. It's backed up with the powerful Mplayer/FFmpeg packages. 

%prep
%setup -q -n pms-%{version}

%build

%install
install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -af * %{buildroot}%{_datadir}/%{name}

mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./PMS.sh
EOF
chmod +x %{buildroot}%{_bindir}/%{name}


#icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %{SOURCE1} %{buildroot}%_liconsdir/%{name}.png
install -m 0644 %{SOURCE1} %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
install -m 0644 %{SOURCE1} %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 

# menu-entry
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PS3 Media Server
Comment=Media Server for the PS3
Exec=%{name}
Icon=%{name}
Terminal=false 
Type=Application
StartupNotify=true
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF


%files
%defattr(-,root,root)
%doc CHANGELOG.txt LICENSE.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Nov 24 2013 MBantz <martin dot bantz at gmail dot com> 1.90.1
- Update
- Add mediainfo as requires - mediaserver work better with this lib installed

* Mon Oct 15 2012 Ken <lxgator at gmail.com> 1.70.0-1pclos2012
- 1.70.0

* Sat Apr 21 2012 Neal <nealbrks0 at gmail dot com> 1.50.1-5pclos2012
- process for 64bit

* Tue Apr 03 2012 Cyrylas <cyrylas at gmail.com> 1.50.1-5pclos2012
- patches for database dir location

* Sat Mar 03 2012 Cyrylas <cyrylas at gmail.com> 1.50.1-4pclos2012
- build 1.50.1 for 32b with 64b spec
- require latest mplayer trunk for SSA support in mencoder

* Sat Dec 17 2011 Texstar <texstar at gmail.com> 1.50-1pclos2011
- 1.50
